#
# spec file for package dex
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dex
Version:        0.9.0
Release:        1.9
Summary:        DesktopEntry Execution
License:        GPL-3.0-or-later
Group:          System/X11/Utilities
URL:            https://github.com/jceb/dex
Source:         https://github.com/jceb/dex/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python3-Sphinx
Requires:       python3
BuildArch:      noarch

%description
A simple utility to handle XDG autostart entries.

%prep
%setup -q

%build
make %{?_smp_mflags} V=1

%install
%make_install \
  PREFIX=%{_prefix}            \
  DOCPREFIX=%{_docdir}/%{name} \
  MANPREFIX=%{_mandir}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Aug 31 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.9.0:
  - Pass environment to sub processes
  - Add -s switch to specify the search paths (thanks to  Johannes Löthberg)
  - Add support for KDE's proprietary Service type (#7 and #28, thanks to
  Sébastien Luttringer and Konfekt)
  - Mark clean target PHONY
  - Switch to RST for the README and manpaeg
  - Ignore backslash in comments (#8, thanks to nanouck)
  - Ignore missing name for Type=Service entries (#28, thanks to Konfekt)
  - add force to clean target (#25, thanks to  Johannes Löthberg)
  - Turn utf-8 string into Unicode string literal (#23, thanks to  Johannes
  - Fix error converting man page
  - Print nice error message when target directory doesn't exist (#31, thanks to
* Tue Dec 27 2016 sor.alexei@meowr.ru
- Initial package.
